Skip to main content
GET
/
folders
/
{folder_id}
Get One Folder
curl --request GET \
  --url https://api.swoogo.com/api/v1/folders/{folder_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 2,
  "name": "Los Angeles",
  "parent_id": 0
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

folder_id
integer
required

integer - required - The ID of the folder you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,name,parent_id"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

Response

Get Event Folder

id
number
Example:

2

name
string
Example:

"Los Angeles"

parent_id
number
Example:

0